dpkg: 该操作需要超级用户权限

重复贴和参考价值不大的帖子,版主维护
回复
iRobot
帖子: 3
注册时间: 2009-02-18 15:10
送出感谢: 0
接收感谢: 0

dpkg: 该操作需要超级用户权限

#1

帖子 iRobot » 2009-02-19 11:22

今天安装完Ubuntu后,还没高兴完就来个下马威。我用更新管理器更新的时候更新了一般,因为感觉更新太慢就关掉了更新窗口,结果出现以下提示,更新完全更新不了,不能安装任何软件:
chris@chris-pc:~$ sudo apt-get install sun-java6-jre
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

按上边所说,键入dpkg --configure -a出现:dpkg: 该操作需要超级用户权限。可我已经是用管理员用户登录,请教各位如果操作,谢谢!
波比x
帖子: 21
注册时间: 2008-10-16 11:26
送出感谢: 0
接收感谢: 0

Re: dpkg: 该操作需要超级用户权限

#2

帖子 波比x » 2009-02-19 11:24

在命令前加上sudo试试,btw,Ubuntu能用root用户登录吗?
delectate
帖子: 18311
注册时间: 2008-01-09 22:41
送出感谢: 0
接收感谢: 6 次

Re: dpkg: 该操作需要超级用户权限

#3

帖子 delectate » 2009-02-19 11:26

superuser do
hite
帖子: 17
注册时间: 2007-11-19 13:36
送出感谢: 0
接收感谢: 0

Re: dpkg: 该操作需要超级用户权限

#4

帖子 hite » 2009-02-19 14:42

你应该是上一次安装软件时中断过了,试试

代码: 全选

sudo dpkg --configure -a
再装
woxihuanubuntu
帖子: 13
注册时间: 2009-02-19 13:04
送出感谢: 0
接收感谢: 0

Re: dpkg: 该操作需要超级用户权限

#5

帖子 woxihuanubuntu » 2009-03-21 7:29

好,我也出现这种情况,试试这个命令吧,其实,ubuntu应该在更新上找到些解决办法,不然就不敢更新了,
头像
lerosua
论坛版主
帖子: 8455
注册时间: 2007-11-29 9:41
送出感谢: 0
接收感谢: 0
联系:

Re: dpkg: 该操作需要超级用户权限

#6

帖子 lerosua » 2009-03-21 9:04

不是给你解决办法了吗?
回复

回到 “归档贴”